Tags
Remove tags from contacts
Remove one or more tag assignments from one or more contacts. The tags and contacts themselves are not deleted.
POST /v1/tags/contacts/remove
Request body
Content-Type: application/json
contactIds
array<string (uuid)> required
tagIds
array<string (uuid)> required
Example
{
"contactIds": [
"00000000-0000-0000-0000-000000000000"
],
"tagIds": [
"00000000-0000-0000-0000-000000000000"
]
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
message
string required
data
object required
data.count
integer required
Example
{
"error": false,
"message": "string",
"data": {
"count": 0
}
}
400 — Request body failed validation.
Content-Type: application/json
(body)
any
401 — Missing or invalid API key.
Content-Type: application/json
(body)
any
403 — Valid key, insufficient permission.
Content-Type: application/json
(body)
any
404 — Resource does not exist.
Content-Type: application/json
(body)
any
409 — Request conflicts with the current state of the resource.
Content-Type: application/json
(body)
any
429 — Rate limit exceeded.
Content-Type: application/json
(body)
any
500 — Unexpected server error.
Content-Type: application/json
(body)
any
Code samples
curl https://api.prod.getdex.com/v1/tags/contacts/remove \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"contactIds": [
"00000000-0000-0000-0000-000000000000"
],
"tagIds": [
"00000000-0000-0000-0000-000000000000"
]
}'
fetch('https://api.prod.getdex.com/v1/tags/contacts/remove', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
contactIds: ['00000000-0000-0000-0000-000000000000'],
tagIds: ['00000000-0000-0000-0000-000000000000']
})
})
requests.post(
"https://api.prod.getdex.com/v1/tags/contacts/remove",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"contactIds": [
"00000000-0000-0000-0000-000000000000"
],
"tagIds": [
"00000000-0000-0000-0000-000000000000"
]
}
)
Add tags to contacts
Assign one or more tags to one or more contacts. Accepts arrays of tag IDs and contact IDs to create the associations.
Create and assign tags to a contact
Create new tags and immediately assign them to a specific contact in a single operation. Tags that already exist with the same name are reused.

